Package Details: libvterm-vwm 0.99.7-1

Git Clone URL: https://aur.archlinux.org/libvterm-vwm.git (read-only)
Package Base: libvterm-vwm
Description: Terminal emulation library to mimic VT100 and rxvt capabilities
Upstream URL: http://libvterm.sourceforge.net
Licenses: GPLv2
Submitter: markzz
Maintainer: markzz
Last Packager: markzz
Votes: 13
Popularity: 0.000000
First Submitted: 2015-06-22 18:56
Last Updated: 2015-06-22 19:03

Latest Comments

Zeniff commented on 2016-04-08 13:05

1. I couldn't seem to download the source from the PKBUILD, so I tried changing the URL to be more similar to other packages. It worked and passed the checksum also:
#source=('http://superb-dca2.dl.sourceforge.net/project/libvterm/libvterm-0.99.7.tar.gz')
source=('http://downloads.sourceforge.net/project/libvterm/libvterm-0.99.7.tar.gz')
# Changed: superb-dca2.dl TO downloads

2. For some reason, the pkg installed no files. I compared it to other PKBUILDs and the variables were different, so I made them the same:
# install -m644 -D vterm.h $startdir/pkg/usr/include/vterm.h || return 1
# install -m755 -D libvterm.so $startdir/pkg/usr/lib/libvterm.so || return 1
install -m644 -D vterm.h $pkgdir/usr/include/vterm.h || return 1
install -m755 -D libvterm.so $pkgdir/usr/lib/libvterm.so || return 1
# Changed: $startdir/pkg/ TO $pkgdir/ in both lines.

After these two changes, I was finally able to build the "vwm" pkg which depends on this one. :)

markzz commented on 2015-02-25 21:36

I adopted this and updated it using your diff...

strugee commented on 2014-03-29 08:20

Here's a unified diff to fix some breakage probably caused by makepkg changes.

--- PKGBUILD.old 2014-03-29 01:13:50.523974423 -0700
+++ PKGBUILD 2014-03-29 01:18:36.311934887 -0700
@@ -7,14 +7,17 @@
url="http://libvterm.sourceforge.net"
license=('GPLv2')
source=('http://downloads.sourceforge.net/project/libvterm/libvterm-0.99.7.tar.gz')
+md5sums=('ac68b77eb33086f7532ab303245efb77')

build() {
cd "$srcdir/$pkgname"

make || return 1
- install -m644 -D vterm.h $startdir/pkg/usr/include/vterm.h || return 1
- install -m755 -D libvterm.so $startdir/pkg/usr/lib/libvterm.so || return 1
-
}

-md5sums=('ac68b77eb33086f7532ab303245efb77')
+package() {
+ cd "$srcdir/$pkgname"
+ install -m644 -D vterm.h $pkgdir/usr/include/vterm.h || return 1
+ install -m755 -D libvterm.so $pkgdir/usr/lib/libvterm.so || return 1
+}
+

strugee commented on 2014-03-29 08:16

Here's a unified diff to fix some breakages probably caused by makepkg changes.

--- PKGBUILD.old 2014-03-29 01:13:50.523974423 -0700
+++ PKGBUILD 2014-03-29 01:12:07.768981165 -0700
@@ -7,14 +7,17 @@
url="http://libvterm.sourceforge.net"
license=('GPLv2')
source=('http://downloads.sourceforge.net/project/libvterm/libvterm-0.99.7.tar.gz')
+md5sums=('ac68b77eb33086f7532ab303245efb77')

build() {
cd "$srcdir/$pkgname"

make || return 1
- install -m644 -D vterm.h $startdir/pkg/usr/include/vterm.h || return 1
- install -m755 -D libvterm.so $startdir/pkg/usr/lib/libvterm.so || return 1
-
}

-md5sums=('ac68b77eb33086f7532ab303245efb77')
+package() {
+ cd "$srcdir/$pkgname"
+ install -m644 -D vterm.h $pkgdir/pkg/usr/include/vterm.h || return 1
+ install -m755 -D libvterm.so $pkgdir/usr/lib/libvterm.so || return 1
+}
+